BuildRequires: gcc-c++
%define svndate 20110124
%define svnrev 2792

Name:           xu4
Version:        1.1
Release:        alt1_0.12.20110124svn2792
Summary:        Ultima IV recreated
Group:          Games/Other
License:        GPLv2+
URL:            http://xu4.sourceforge.net/
# This was generated by running the xu4-svn-checkout.sh script
Source0:        xu4-%{svndate}svn.tar.xz
Source1:        xu4.sh
Source2:        xu4.autodlrc
Source3:        u4download.txt
Patch0:         xu4-zipfile.patch
Patch1:         xu4-1.0beta3-desktop.patch
Patch10:        xu4-gcc46.patch
BuildRequires:  libSDL_mixer-devel libxml2-devel libpng-devel desktop-file-utils
Requires:       icon-theme-hicolor autodownloader
Source44: import.info

%description
XU4 is a remake of the computer game Ultima IV. This game requires the
original Ultima IV datafiles, which can be freely downloaded from the internet
but may not be (re)distributed. When you start xu4 for the first time it will
offer to download the datafiles for you.

XU4 isn't a new game based on the Ultima IV story -- it is a faithful
recreation of the old game, right up to the crappy graphics.  If you
are looking for a game with modern gameplay and graphics, this is not
it -- yet.  New features that improve the gameplay and keep with the
spirit of the original game will be added.


%prep
%setup -q -n u4
%patch0 -p1 -z .zipfile
%patch1 -p1 -z .desktop
%patch10 -p1 -z .gcc46
if [ "%{_lib}" = "lib64" ]; then
  sed -i 's|/usr/lib|%{_libdir}|g' src/u4file.cpp
fi
cp %{SOURCE3} .


%build
pushd src
make DEBUGCXXFLAGS="$RPM_OPT_FLAGS" \
  bindir=%{_bindir} datadir=%{_datadir} libdir=%{_libdir} %{?_smp_mflags}
popd


%install
pushd src
# Note: make install DESTDIR=$RPM_BUILD_ROOT, doesn't work
%{makeinstall}
find $RPM_BUILD_ROOT%{_libdir}/u4 -name '*.xml' -o -name '*.dtd'|xargs chmod -x
popd

# mv u4 to u4.bin and install our autodl wrapper script
mv $RPM_BUILD_ROOT%{_bindir}/u4 $RPM_BUILD_ROOT%{_bindir}/u4.bin
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/u4
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/u4

# below is the desktop file and icon stuff.
desktop-file-install             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/u4.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/u4.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps


%files
%doc AUTHORS COPYING README doc/Algorithms.* doc/*FileFormats.txt
%doc doc/U4Notes.txt doc/tools.txt u4download.txt
%{_bindir}/u4*
%{_libdir}/u4
%{_datadir}/pixmaps/u4.bmp
%{_datadir}/applications/u4.desktop
%{_datadir}/icons/hicolor/64x64/apps/u4.png


%changelog
* Wed Feb 16 2011 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_0.12.20110124svn2792
- converted from Fedora by srpmconvert script

